#!/bin/rpm
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME User&Group management
Name:           lime-user
Version:        1.1.11
Release:        3%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :		openwbem 
Requires :  	lime-common
Requires :  	qt > 3.3.3
BuildRequires:  openwbem-devel
BuildRequires:  lime-common
BuildRequires:  qt > 3.3.3
BuildRequires:	lmc-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
lime-user is a WBEM client tool for user&group management which depends on CIMOM.
when using this tool, make sure lime provider has been installed 
and CIMOM of managed host has been started.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q 
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
ln -s %{name} $RPM_BUILD_ROOT/%{_bindir}/rfuser

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-user set-sysmgt-usergroup 
popd


%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lime-user
%{_bindir}/rfuser
%{_bindir}/set-sysmgt-usergroup
%{_libdir}/lmc/snapins/*.so*
%{_libdir}/lmc/snapins/*.a
%{_libdir}/lmc/snapins/*.la
%config /usr/share/applications/lime-user.desktop
/usr/share/pixmaps/lime-user.xpm
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%{_datadir}/%{name}/*
%{_docdir}/%{name}/*
%changelog
* Thu Apr 16 2009 Sun Guodong <sunguodong@redflag-linux.com> 1.1.11-3%{?dist}
- modify qrfuser.cpp to add user fault. (AXBug #6081)

* Tue Sep 16 2008 Zhao Min <zhaomin@redflag-linux.com> 1.1.11-2%{?dist}
- fix bug 5048.

* Thu Sep 4 2008 Zhao Min <zhaomin@redflag-linux.com> 1.1.11-2%{?dist}
- fix bug 5034.

* Tue Jul 1 2008 He Tao <taohe@redflag-linux.com>
- modify context of warning message. bug 4549.

* Wed May 21 2008 He Tao <taohe@redflag-linux.com> 1.1.10-1%{?dist}
- hide some warning message(bug 4220 4221 4229 4230)

* Wed Apr 23 2008 He Tao <taohe@redflag-linux.com> 1.1.9-1%{?dist}
- when delete a user, delete the maingroup unless the group has other members.(4187,4190)
- modify the context of the warning message(4190,4195)
- fix manual text problem(4101,4202)

* Wed Apr 1 2008 He Tao <taohe@redflag-linux.com> 1.1.8-1%{?dist}
- upgrade version 1.1.8-1

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.1.7-1.1%{?dist}
- add Aternate Command Names (symbolic link) - bugzilla 3978

* Tue Sep 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.7, see also package ChangeLog file for details.

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-user-1.1.3-asianux-desktop_categories.patch to CVS,
- not install desktop to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-user-1.1.3-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, README, NEWS to package, update to new version 
- 1.1.3-1, see also package ChangeLog for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Tue May 15 2007 He Tao <taohe@redflag-linux.com>
- change kde control panel desktop file directory "/etc/sysconfig/khwtree/GroupSys" to "/etc/sysconfig/khwtree/Group2Sys"
- upgrade version to 1.1.1

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Thu Apr 05 2007 He Tao <taohe@redflag-linux.com>
- add a link file for old "rfuser"

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- change lmc snapin location and add translate file

* Wed Jan 31 2007 He Tao <taohe@redflag-linux.com>
- create
